-module(mixed).
-export([recordfieldtest/0, guardtest/0, patternmatchtest/0, vartest/0]).

-define(Dataflow, refanal_dataflow).

-record(state, {
                % Number of next question
                next     :: integer(),
                % PID of currently running transformation or qinfos
                current :: any(),
                % the id of the current transformation
                query_id :: any()
               }).

recordfieldtest() ->
    State1=#state{next=1,query_id=vmi},
    State1.

guardtest() ->
    if
        true ->
            [];
        vmi ->
            vmi
    end,
    io:format("Hello, world!~n").

funtest(A,B) ->
    A + B.

patternmatchtest() ->
    case alma of
        korte ->
            korte;
        _ ->
            alma;
        barmi ->
            barmi,
            mas
    end.

vartest() ->
    A=[],
    Korte=0,
    Alma=1,
    Alma.
